Munin::Common::TLSServer(3)

NAME
Munin::Node::TLSServer - Implements the server side of the STARTTLS protocol

SYNOPSIS
 # After receiving a STARTTLS request:

 $tls = Munin::Node::TLSServer->new(...);
 $tls->start_tls();

METHODS

new
     $tls = Munin::Node::TLSServer->new(...);

    See Munin::Node::TLS for documentation for constructor arguments.

start_tls
     $tls->start_tls();

    Process a STARTTLS request